Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006663OCaml~DO NOT USE (was: OCaml general)public2014-11-18 21:262014-12-23 17:54
Reporterfuruse 
Assigned To 
PrioritynormalSeveritytextReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version4.02.1 
Target VersionFixed in Version4.02.2+dev / +rc1 
Summary0006663: A misleading typo in parsetree.mli
Description  | PPat of pattern * expression option (* : P or : P when E *)

should be

  | PPat of pattern * expression option (* ? P or ? P when E *)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0012545)
furuse (reporter)
2014-11-18 21:26

Eek, no, it is not parser.mly, parsetree.mli
(0012546)
lpw25 (developer)
2014-11-18 23:26

> Eek, no, it is not parser.mly, parsetree.mli

Fixed the title.
(0012975)
doligez (administrator)
2014-12-23 17:53

Fixed in trunk (rev 15741) and 4.02 (rev 15742).

- Issue History
Date Modified Username Field Change
2014-11-18 21:26 furuse New Issue
2014-11-18 21:26 furuse Note Added: 0012545
2014-11-18 23:26 lpw25 Summary A misleading typo in parser.mly => A misleading typo in parsetree.mli
2014-11-18 23:26 lpw25 Description Updated View Revisions
2014-11-18 23:26 lpw25 Note Added: 0012546
2014-12-23 17:53 doligez Note Added: 0012975
2014-12-23 17:54 doligez Severity major => text
2014-12-23 17:54 doligez Status new => closed
2014-12-23 17:54 doligez Resolution open => fixed
2014-12-23 17:54 doligez Fixed in Version => 4.02.2+dev / +rc1
2017-02-23 16:36 doligez Category OCaml general => -OCaml general
2017-03-03 17:55 doligez Category -OCaml general => -(deprecated) general
2017-03-03 18:01 doligez Category -(deprecated) general => ~deprecated (was: OCaml general)
2017-03-06 17:04 doligez Category ~deprecated (was: OCaml general) => ~DO NOT USE (was: OCaml general)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker